program dict_srt; //  
{$APPTYPE    CONSOLE}
uses Sysutils, Classes;

type
  TDict = class(TStringList)
    procedure   LoadFromFile(const FileName: string); override;
  end;
//---------------------------------------------
var dt: TDict;
//---------------------------------------------
procedure   TDict.LoadFromFile(const FileName: string);
var s:string;
    ft : TextFile;
    cnt: integer;
begin
  Sorted     := True;
  Duplicates := dupIgnore;
  if not FileExists(FileName) then Exit;

  AssignFile( ft, FileName); Reset(ft); cnt := 0;
  while not eof(ft) do begin
    ReadLn( ft, s); inc(cnt);
    if StrToInt( copy(s, 18, 8))> 20 then begin
      s:=copy(s, 18, 8)+copy(s,1,17);
      Add( s );
    end;
    if (cnt mod 1000) = 0 then Write( cnt:8, #13 );
    //if cnt > 200000 then break;
  end;
  CloseFile(ft);
end;
//---------------------------------------------
var i: integer;
    s: string;
begin
  if ParamCount <>2 then Halt(0);
  dt := TDict.Create;
  dt.LoadFromFile(ParamStr(1));
  dt.Sorted := False;
  for i:= 0 to dt.count-1 do begin
    s:= dt.strings[i];
    dt.strings[i] := copy( s, 9, 25) + copy(s, 1, 8);
  end;
  dt.SaveToFile  (ParamStr(2));
end.

